# norootforbuild
%define pkg_name    idn
%define pkg_version 0.2.0
%define php_version %(php-config --version 2>/dev/null)
#-
Name: php5-idn
Version: 0.2.0
Release: 2.11
#
License: PHP
Group: Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires: libidn-devel php5-devel
Requires: php5 = %{php_version}
#
URL: http://pecl.php.net/idn
Source: http://pecl.php.net/package/idn/%{pkg_name}-%{version}.tgz
Patch: php5-idn-lib64.patch
Summary: PHP idn extension

%description

	Binding to the GNU libidn for using Internationalized Domain Names.

	
Authors:
---------

	Johannes Schlüter

%debug_package
%prep
%setup -n %{pkg_name}-%{version}
%patch

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags}"
CXXFLAGS="%{optflags}"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable idn extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/idn.ini
echo 'extension = idn.so' >> %{buildroot}%{_sysconfdir}/php5/conf.d/idn.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/idn.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/idn.ini

%doc CREDITS README

%changelog -n php5-idn
* Wed Jan 06 2009 Carsten Schoene <cs@linux-administrator.com> - 0.2.0
- new release 0.2.0
 - Added ZEND_ARG_INFO to improve reflection support.
 - Added test cases.
 - Improved documentation.

* Mon Dec 18 2006 - judas_iscariote@shorewall.net 
- very first build
